Package com.pixelmed.dicom

## Class ProjectionXRayImageLibrary

- java.lang.Object
- - com.pixelmed.dicom.ImageLibrary
  - - com.pixelmed.dicom.ProjectionXRayImageLibrary

-     public class ProjectionXRayImageLibrary
      extends ImageLibrary

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry` |

    - ### Nested classes/interfaces inherited from class com.pixelmed.dicom.ImageLibrary

      `ImageLibrary.ImageLibraryEntry`

  - ### Field Summary

    - ### Fields inherited from class com.pixelmed.dicom.ImageLibrary

      `compositeInstanceContext, entriesIndexedBySOPInstanceUID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProjectionXRayImageLibrary()` |
    `ProjectionXRayImageLibrary​(AttributeList list)` |
    `ProjectionXRayImageLibrary​(ContentItem imageLibraryContainer, AttributeList list)` |
    `ProjectionXRayImageLibrary​(java.util.Set<java.io.File> files)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Create an SR Image Library from a bunch of cross-sectional DICOM instances.
    `ImageLibrary.ImageLibraryEntry` | `makeImageLibraryEntry​(AttributeList list)` |
    `ImageLibrary.ImageLibraryEntry` | `makeImageLibraryEntry​(ContentItemFactory.ImageContentItem imageContentItem, java.util.Map<java.lang.String,​HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)` |
    `static ProjectionXRayImageLibrary` | `read​(java.lang.String filename)` |

    - ### Methods inherited from class com.pixelmed.dicom.ImageLibrary

      `addContributingEquipmentSequence, addImage, constructImageLibrary, findImageLibraryContainer, getAttributeList, getCommonInstanceReferenceModuleReferencedSeriesSequence, getHierarchicalEvidenceSequence, getHierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID, getStructuredReport, getStructuredReportFragment, toString, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectionXRayImageLibrary

          public ProjectionXRayImageLibrary()

    - #### ProjectionXRayImageLibrary

          public ProjectionXRayImageLibrary​(AttributeList list)
                                     throws DicomException

      Throws:
        `DicomException`

    - #### ProjectionXRayImageLibrary

          public ProjectionXRayImageLibrary​(ContentItem imageLibraryContainer,
                                            AttributeList list)

    - #### ProjectionXRayImageLibrary

          public ProjectionXRayImageLibrary​(java.util.Set<java.io.File> files)
                                     throws java.io.IOException,
                                            DicomException

      Throws:
        `java.io.IOException`
        `DicomException`

  - ### Method Detail

    - #### makeImageLibraryEntry

          public ImageLibrary.ImageLibraryEntry makeImageLibraryEntry​(ContentItemFactory.ImageContentItem imageContentItem,
                                                                      java.util.Map<java.lang.String,​HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)

      Overrides:
        `makeImageLibraryEntry` in class `ImageLibrary`

    - #### makeImageLibraryEntry

          public ImageLibrary.ImageLibraryEntry makeImageLibraryEntry​(AttributeList list)
                                                               throws DicomException

      Overrides:
        `makeImageLibraryEntry` in class `ImageLibrary`
      Throws:
        `DicomException`

    - #### read

          public static ProjectionXRayImageLibrary read​(java.lang.String filename)
                                                 throws DicomException,
                                                        java.io.IOException

      Throws:
        `DicomException`
        `java.io.IOException`

    - #### main

          public static void main​(java.lang.String[] arg)

      Create an SR Image Library from a bunch of cross-sectional DICOM instances.

      Adds a new series (instance UID) to the existing study (instance UID).

      Parameters:
        `arg` - the path for the SR Image Library output, then the filenames and/or folder names of files containing the input image files